import * as z from 'zod';
// prettier-ignore
export const CommissionBatchItemModelSchema = z.object({
    id: z.number().int(),
    commissionBatchId: z.number().int(),
    paymentId: z.number().int(),
    collectionAmount: z.number(),
    commissionBatch: z.unknown(),
    payment: z.unknown()
}).strict();

export type CommissionBatchItemPureType = z.infer<typeof CommissionBatchItemModelSchema>;
